kling-3.0-turbo 視頻生成
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"reference_images": [
"<string>"
],
"resolution": "<string>",
"duration": 123,
"aspect_ratio": "<string>",
"watermark": true
}
'import requests
url = "https://toapis.com/v1/videos/generations"
payload = {
"model": "<string>",
"prompt": "<string>",
"reference_images": ["<string>"],
"resolution": "<string>",
"duration": 123,
"aspect_ratio": "<string>",
"watermark": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
reference_images: ['<string>'],
resolution: '<string>',
duration: 123,
aspect_ratio: '<string>',
watermark: true
})
};
fetch('https://toapis.com/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
kling-3.0-turbo
kling-3.0-turbo 視頻生成
通過 ToAPIs 標準異步視頻接口接入官方 kling-3.0-turbo 視頻生成模型
POST
/
v1
/
videos
/
generations
kling-3.0-turbo 視頻生成
- 異步任務接口,提交後返回任務 ID
- 使用新的官方 Kling Turbo 上游協議
- 支持文生視頻和圖生視頻,但圖生僅支持首幀
resolution支持720p和1080pduration支持3s、4s、5s、6s、7s、8s、9s、10s、11s、12s、13s、14s、15saspect_ratio僅對文生視頻生效watermark僅支持布爾開關,不支持自定義水印對象
請傳入公網可訪問的圖片 URL。不要直接傳 base64 圖片數據;本地圖片請先使用 上傳圖片接口 獲取 URL。
認證
string
必填
所有接口均需要使用 Bearer Token 認證。
Authorization: Bearer YOUR_API_KEY
請求參數
string
必填
視頻生成模型名稱,固定爲
kling-3.0-turbo。string
必填
視頻提示詞。對於圖生視頻,該字段會轉換爲 Kling Turbo
contents 中的 prompt 項。string[]
可選輸入圖片。Kling Turbo 圖生視頻只會取第一張圖作爲
first_frame。當前接入不支持尾幀。多餘圖片不會作爲尾幀傳給上游。
string
預設值:"720p"
視頻分辨率。支持值:
720p1080p
integer
預設值:"5"
視頻時長,單位秒。支持值:
3、4、5、6、7、8、9、10、11、12、13、14、15string
預設值:"16:9"
文生視頻寬高比。支持值:
16:99:161:1
boolean
預設值:"false"
是否添加官方 Kling 水印。
示例
文生視頻
{
"model": "kling-3.0-turbo",
"prompt": "A cinematic shot of a red sports car driving through rain",
"resolution": "720p",
"duration": 5,
"aspect_ratio": "16:9"
}
圖生視頻
{
"model": "kling-3.0-turbo",
"prompt": "Animate the character with subtle camera motion",
"reference_images": ["https://example.com/first-frame.png"],
"resolution": "1080p",
"duration": 5,
"watermark": true
}
視頻生成爲異步任務。提交後使用 獲取視頻任務狀態 查詢進度和結果。
⌘I